1. Tags API
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
    • Contact Properties Statistics
    • Create Contact Property
    • Update Contact Property
    • Delete Contact Property
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Outbound IVR API
    • Create Outbound IVR
  • Tags API
    • Tag a conversation
      POST
    • Create Tag
      POST
    • Delete Tag
      DELETE
    • Update Tag
      PUT
    • List Tags
      GET
  • Conversations - Service Account
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ServiceAccountTemplateDto
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateParameterDto
    • ChannelConversationDto
    • UpdateTagDto
    • TemplateParameterDto
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Tags API

List Tags

GET
/v1/tags/service-account
Returns a paginated list of all tags created in your workspace.
Notes:
There are currently no filtering options on this endpoint (e.g. by name or pinned status) — only pagination and sorting.
As with all tag responses, description is not included in the returned objects even if one was set.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://api.voxa.sa/connect/token
Scopes:
VoxaAPI-Access Voxa API as a service account
or
Query Params

Responses

🟢200OK
application/json
Paged list of tags.
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/tags/service-account?skipCount=undefined&maxResultCount=undefined&sorting=undefined'
Response Response Example
{
    "totalCount": 2,
    "items": [
        {
            "id": "3a1ebef0-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "name": "VIP",
            "icon": "⭐",
            "isPinned": true,
            "creationTime": "2026-06-22T10:00:00Z"
        },
        {
            "id": "4b2fcef1-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "name": "Follow-up",
            "icon": null,
            "isPinned": false,
            "creationTime": "2026-06-20T08:30:00Z"
        }
    ]
}
Modified at 2026-06-22 16:07:56
Previous
Update Tag
Next
Call Webhook
Built with